﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewUserWalletFlowDb(engine *xorm.Engine) dao.UserWalletFlowDao {
	return &UserWalletFlowDb{Db: engine}
}

type UserWalletFlowDb struct {
	Db *xorm.Engine
}

func (u UserWalletFlowDb) UserWalletFlowInsertBySession(session *xorm.Session, userWalletFlow *model.UserWalletFlow) (int64, error) {
	_, err := session.InsertOne(userWalletFlow)
	if err != nil {
		return 0, err
	}
	return userWalletFlow.Id, nil
}
