﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewUserWalletDb(engine *xorm.Engine) dao.UserWalletDao {
	return &UserWalletDb{Db: engine}
}

type UserWalletDb struct {
	Db *xorm.Engine
}

func (u UserWalletDb) GetUserVirtualWallet(uid int64) (*model.UserWallet, error) {
	var userWallet model.UserWallet
	get, err := u.Db.Where("uid = ?", uid).Get(&userWallet)
	if err != nil {
		return nil, err
	}
	if get {
		return &userWallet, nil
	} else {
		userWallet.Amount = "0"
		userWallet.Uid = uid
		one, err1 := u.Db.InsertOne(&userWallet)
		if err1 != nil || one == 0 {
			return nil, err1
		}
		return &userWallet, nil
	}
}
